Subject: Re: [PATCH] powerpc: remove default=y from PMAC and CHRP Kconfigs

From: Sven Luther <[email-masked]>
Date: Thu, 9 Oct 2008 22:18:33 +0200

On Thu, Oct 09, 2008 at 12:23:06PM -0500, Timur Tabi wrote:
> On Thu, Oct 9, 2008 at 11:49 AM, Matt Sealey <[email-masked]> wrote:
> > Because they are by far the historically most common configuration, and
> > still in production as the defacto standard PowerPC system configuration.
> 
> Not really.  PMAC systems are not being built any more.  So that leaves CHRP.
> 
> > IBM blades etc. with SLOF will boot up as a CHRP-ish system, as well as the
> > Efika and Pegasos and anything else Genesi produces. Since Linux
> > distributions generally do not support tiny embedded boards,
> 
> So what?  Distributions don't need our help to turn on the options
> that are important to them.  This is a ridiculous argument.
> 
> > you can imagine why it's
> > disabled by default, but there's no reason it can't be ENABLED by default
> > and turned off by a distribution, the same way it can't be enabled by
> > default and turned off by YOU (compare and contrast having to manually
> > select which board you want to build for every time).
> 
> This problem is solved with defconfigs.  Kconfig options are supposed

...

> Not really true.  Having the default be disabled for specific
> platforms can make a big difference in compile time.

Notice that the defconfigs answer also applies here :)

Friendly,

Sven Luther